# Generated from edi4r-tdid-0.8.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name edi4r-tdid

Name: rubygem-%{gem_name}
Version: 0.8.4
Release: 1%{?dist}
Summary: EDI for Ruby add-on: Add UN TDIDs, 90.1 thru D.10B
License: UNTDID (http://www.unece.org/trade/untdid/license.htm)
URL: http://edi01.cs.hs-rm.de/~werntges/proj/edi4r01.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
The edi4r gem turns Ruby into a powerful EDI mapping language.
This add-on gem provides the bulk of UN's Trade Data Interchange Directories.
It enables you to process UN/EDIFACT data based on all TDIDs
from 90.2 up to D.14B.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.8.4-1
- Initial package
